5

I have the Order Status field in the Order.object file defined simply as follows:

<fields>
    <fullName>Status</fullName>
    <picklist>
        <picklistValues>
            <fullName>Draft</fullName>
            <default>false</default>
        </picklistValues>
        <picklistValues>
            <fullName>Activated</fullName>
            <default>false</default>
        </picklistValues>
    </picklist>
    <trackHistory>true</trackHistory>
    <type>Picklist</type>
</fields>

Yesterday I was able to save it from Mavens Mate to my Salesforce instance without any issue. This morning I cannot. I get the error:

Order.object: This standard picklist field not supported in metadata API

If I remove the above XML or comment it out, the Order.object file saves without issue.

I am on the cs7 instance and I see that this known issue related to forecast category was just deployed to cs7 in Winter '15 Patch 7.0. I know the issue is for forecast category, but I think that the order status is part of the patch as well as it had suffered from the exact same problem.

Is there some way that I can tell if a field is not supported in the metadata API other than deploying and getting the error back?

  • You can validate before deployment. There is no way to get error before performing validation or deployment. – Ashwani Oct 1 '14 at 12:54
  • 1
    @regal - Thanks. I was hoping for something along the lines of viewing it in workbench, but didn't see anything there. Since SFDC has the ability to generate the error, I was hoping they would also provide a way to see which ones are supported. – Peter Knolle Oct 1 '14 at 12:57

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.